\name{affy.avg.diff}
\alias{affy.avg.diff}
\title{ Compute Gene Chip's avg.diff.}
\description{For an affy object, computes GeneChip's avg.diff measure
  for each probe
  set. }
\usage{
affy.avg.diff(x)
\arguments{
  \item{x}{an \code{\link{affy.object}}.}
}
\details{Gene Chip's avg.diff is not exactly an average difference. The
standard deviation of the pm-mm is computer (after removing the biggest
and smallest). Any pm-mm that deviates from the mean by more than 3
standard deviations is discarded and then the average is computed.}
\value{
 A matrix with the average difference of probe set i, in chip j in the
i,j entry.}
\references{ Affymetrix (1999) Gene Chip Analysis Suite User Guide
  (Affymetrix, Santa Clara)}
\author{Rafael A. Irizarry}
\seealso{ \code{\link{avg.diff},\link{avg.log.ratio}}}

#\examples{
##---- Should be DIRECTLY executable !! ----
##-- ==>  Define data, use random,
##--	     or do  help(data=index)  for the standard data sets.

## The function is currently defined as
function(x){
\keyword{affy}
